/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.planning.tactical;

import java.beans.IntrospectionException;
import javax.swing.Action;
import org.openide.nodes.AbstractNode;
import org.openide.nodes.Children;

/**
 * Fieldplan root node
 *
 * @author Timon Veenstra
 */
public class FieldPlanRootNode extends AbstractNode {
    
    public FieldPlanRootNode() throws IntrospectionException {
        super(Children.create(new FieldPlanNodeFactory(), true));
        setIconBaseWithExtension("nl/cloudfarming/client/icon/plant-icon.png");
    }

    @Override
    public Action[] getActions(boolean context) {
        return new Action[]{new NewFieldPlanAction()};
    }
}
