/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.planning.tactical;

import java.awt.Color;
import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import nl.cloudfarming.client.area.field.FieldAreaService;
import nl.cloudfarming.client.geoviewer.BaseLayer;
import nl.cloudfarming.client.geoviewer.Category;
import nl.cloudfarming.client.geoviewer.ObjectLayer;
import nl.cloudfarming.client.geoviewer.Palette;
import nl.cloudfarming.client.model.CommonModelService;
import nl.cloudfarming.client.model.PartField;
import nl.cloudfarming.client.model.ProductionUnit;

/**
 * A Layer for fields of a specific year
 * @author Timon Veenstra
 */
public class ProductionUnitLayer extends BaseLayer {


    public ProductionUnitLayer(final Palette palette,final ProductionUnit productionUnit) {
        super(palette, Category.AREA, productionUnit.getName());
        productionUnit.addPropertyChangeListener(ProductionUnit.PROP_COLOR,new PropertyChangeListener() {

            @Override
            public void propertyChange(PropertyChangeEvent evt) {
                palette.setBaseColor((Color)evt.getNewValue());
            }
        });
    }
}
